package cn.com.qmth.examcloud.exchange.inner.service.bean;

import cn.com.qmth.examcloud.commons.web.cloud.api.JsonSerializable;

/**
 * 又拍云路径变量
 *
 * @author WANGWEI
 * @date 2018年11月21日
 * @Copyright (c) 2018-? http://qmth.com.cn All Rights Reserved.
 */
public class UpyunPathEnvironmentInfo implements JsonSerializable {

	private static final long serialVersionUID = -3579995914084929142L;

	/**
	 * 顶级机构
	 */
	private Long rootOrgId;

	/**
	 * 用户ID
	 */
	private Long userId;

	/**
	 * 时间戳
	 */
	private Long currentTimeMillis;

	/**
	 * 文件后缀（以"."开头，如 ".jpg",".zip"）
	 */
	private String fileSuffix;

	public Long getRootOrgId() {
		return rootOrgId;
	}

	public void setRootOrgId(Long rootOrgId) {
		this.rootOrgId = rootOrgId;
	}

	public Long getUserId() {
		return userId;
	}

	public void setUserId(Long userId) {
		this.userId = userId;
	}

	public Long getCurrentTimeMillis() {
		return currentTimeMillis;
	}

	public void setCurrentTimeMillis(Long currentTimeMillis) {
		this.currentTimeMillis = currentTimeMillis;
	}

	public String getFileSuffix() {
		return fileSuffix;
	}

	public void setFileSuffix(String fileSuffix) {
		this.fileSuffix = fileSuffix;
	}

}
